# This works a bit like a libraries yml file, it declares all the css files available to the layout, but in a structured way
# that can be used by the system.

css_files_path: 'css'                             # Path to CSS layout files.
css_form_styles_path: 'css/site-builder-form.css' # Path to the CSS used in Appearance settings form.
css_global_layout: 'site-builder-global.css'      # Sets global CSS for the layout. Path must be relative to "css_files_path".

# CSS key holds all CSS files for this layout. Keyed by directory path (a folder).
css:
  onecol:            # subdir path, relative to the "css_files_path".
    regions: 1       # number of regions this layout applies to.
    files:
      - onecol-pad-1
      - onecol-pad-2
      - onecol-pad-3
      - onecol-pad-4
      - onecol-pad-5
      - onecol-prefix-1
      - onecol-prefix-2
      - onecol-prefix-3
      - onecol-prefix-4
      - onecol-prefix-5
      - onecol-prefix-6
      - onecol-suffix-1
      - onecol-suffix-2
      - onecol-suffix-3
      - onecol-suffix-4
      - onecol-suffix-5
      - onecol-suffix-6
  twocol:
    regions: 2
    files:
      - twocol-2-10
      - twocol-3-9
      - twocol-4-8
      - twocol-5-7
      - twocol-6-6
      - twocol-7-5
      - twocol-8-4
      - twocol-9-3
      - twocol-10-2
  threecol:
    regions: 3
    files:
      - threecol-2-2-8
      - threecol-2-3-7
      - threecol-2-4-6
      - threecol-2-5-5
      - threecol-2-6-4
      - threecol-2-7-3
      - threecol-2-8-2
      - threecol-3-2-7
      - threecol-3-3-6
      - threecol-3-4-5
      - threecol-3-6-3
      - threecol-3-7-2
      - threecol-4-2-6
      - threecol-4-3-5
      - threecol-4-4-4
      - threecol-4-5-3
      - threecol-4-6-2
      - threecol-5-2-5
      - threecol-5-3-4
      - threecol-5-4-3
      - threecol-5-5-2
      - threecol-6-2-4
      - threecol-6-3-3
      - threecol-6-4-2
      - threecol-7-2-3
      - threecol-7-3-2
      - threecol-8-2-2
      - threecol-2-2-8
      - threecol-source-ordered-2-5-5
      - threecol-source-ordered-2-6-4
      - threecol-source-ordered-2-7-3
      - threecol-source-ordered-2-8-2
      - threecol-source-ordered-3-5-4
      - threecol-source-ordered-3-6-3
      - threecol-source-ordered-3-7-2
      - threecol-source-ordered-4-4-4
      - threecol-source-ordered-4-5-3
      - threecol-source-ordered-4-6-2
      - threecol-source-ordered-2-10--12
      - threecol-source-ordered-3-9--12
      - threecol-source-ordered-4-8--12
      - threecol-source-ordered-5-7--12
      - threecol-split-row-2-10--12
      - threecol-split-row-3-9--12
      - threecol-split-row-4-8--12
      - threecol-split-row-5-7--12
      - threecol-split-row-6-6--12
      - threecol-split-row-7-5--12
      - threecol-split-row-8-4--12
      - threecol-split-row-9-3--12
      - threecol-split-row-10-2--12
      - threecol-split-row-12--2-10
      - threecol-split-row-12--3-9
      - threecol-split-row-12--4-8
      - threecol-split-row-12--5-7
      - threecol-split-row-12--6-6
      - threecol-split-row-12--7-5
      - threecol-split-row-12--8-4
      - threecol-split-row-12--9-3
      - threecol-split-row-12--10-2
      - threecol-reverse-float-2-2-8
      - threecol-reverse-float-2-3-7
      - threecol-reverse-float-2-4-6
      - threecol-reverse-float-3-3-6
      - threecol-reverse-float-3-4-5
      - threecol-reverse-float-4-2-6
      - threecol-reverse-float-4-3-5
  fourcol:
    regions: 4
    files:
      - fourcol-2-2-2-6
      - fourcol-2-2-3-5
      - fourcol-2-4-4-2
      - fourcol-3-3-3-3
      - fourcol-4-2-2-4
      - fourcol-5-3-2-2
      - fourcol-6-2-2-2
      - fourcol-split-row-4-8--8-4
      - fourcol-split-row-6-6--6-6
      - fourcol-split-row-12--4-4-4
      - fourcol-split-row-12--6-3-3
      - fourcol-split-row-12--7-3-2
      - fourcol-split-row-12--8-2-2
      - fourcol-split-row-12--12--4-8
      - fourcol-split-row-12--12--5-7
      - fourcol-split-row-12--12--6-6
      - fourcol-split-row-12--12--7-5
      - fourcol-split-row-12--12--8-4
      - fourcol-split-row-12--3-9--12
      - fourcol-split-row-12--6-6--12
      - fourcol-split-row-12--8-4--12
      - fourcol-split-row-12--9-3--12
      - fourcol-source-ordered-12--2-7-3
      - fourcol-source-ordered-12--2-8-2
      - fourcol-source-ordered-12--3-6-3
      - fourcol-source-ordered-12--3-9--12
      - fourcol-source-ordered-inset-left
  fivecol:
    regions: 5
    files:
      - fivecol-5x2
      - fivecol-2-3-2-3-2
      - fivecol-6-6--4-4-4
      - fivecol-6-6-6-6--12
      - fivecol-12--6-6-6-6
      - fivecol-source-ordered-2-2-4-2-2
  sixcol:
    regions: 6
    files:
      - sixcol-6x2
      - sixcol-6-2x3
      - sixcol-6-3x2